Skip to main content

Get last run's dataset statistics

GET 

/v2/actors/:actorId/runs/last/dataset/statistics

Returns statistics for the last Actor run's default dataset.

This endpoint is a shortcut that resolves the last run's defaultDatasetId and proxies to the Get dataset statistics endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

Status 200

{
"data": {
"fieldStatistics": {
"name": {
"nullCount": 122
},
"price": {
"min": 59,
"max": 89
}
}
}
}